de.esprit.common.util

## Class TransferableObject

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    ABOFilter, AbstractCrossPlatformObject, AbstractGroup, AbstractPrimaryKey, AbstractServerConfig, AbstractTransferJob, AbstractUser, ApplicationConfig, BatchTaskConfigEntry, BuildInfo, ClientCommand, ClientInfo, CommandLineOptionDescription, ComposedRecord, Credential, CsvRecord, DatabaseConnection, DataSourceEntry, DBInfo, DBObject, DBRecordContainer, DefaultLoginData, DefaultPathTreePermissionMaster, DynamicDatabaseKey, FileInfo, FileTrackInfo, FileTransferJobList, GenericEvent, Host, JavaCommand, JavaVersion, JdbcColumn, JdbcTable, JobConstraint, JobId, NativePathEntry, NetMessage, NetRequest, NetResponse, OsInfo, ParseTracker, PathInfo, PermissionDefinition, PermissionEntry, RdbmsInfo, ResourceLock, RunStateFlag, ServerId, ServerNotificationMessage, ServerStatistic, SessionId, TaskHistoryRecord, TaskId, TreeWalker, UserId, Version, XmlParam

      public abstract class TransferableObject
      extends DumpableObject
      implements java.io.Serializable, DeepCloneable

  This object is `Serializable` and deep `DeepCloneable`
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferableObject()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `<T> T` | `deepClone()` Returns a deep clone of this object

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferableObject

          public TransferableObject()

  - ### Method Detail

    - #### deepClone

          public <T> T deepClone()

      Description copied from interface: `DeepCloneable`
      Returns a deep clone of this object
      Specified by:
        `deepClone` in interface `DeepCloneable`

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.